rte_ipsec_sa_prm(3)

NAME
rte_ipsec_sa_prm

SYNOPSIS

#include <rte_ipsec_sa.h>

  Data Fields

uint64_t userdata
uint64_t flags
struct rte_security_ipsec_xform ipsec_xform
struct rte_crypto_sym_xform * crypto_xform

Detailed Description

SA initialization parameters.

Definition at line 30 of file rte_ipsec_sa.h.

Field Documentation

  uint64_t userdata
provided and interpreted by user

Definition at line 32 of file rte_ipsec_sa.h.

  uint64_t flags
see RTE_IPSEC_SAFLAG_* below

Definition at line 33 of file rte_ipsec_sa.h.

  struct rte_security_ipsec_xform ipsec_xform
ipsec configuration

Definition at line 35 of file rte_ipsec_sa.h.

  struct rte_crypto_sym_xform* crypto_xform
crypto session configuration

Definition at line 37 of file rte_ipsec_sa.h.

  uint8_t hdr_len
tunnel header len

Definition at line 40 of file rte_ipsec_sa.h.

  uint8_t hdr_l3_off
offset for IPv4/IPv6 header

Definition at line 41 of file rte_ipsec_sa.h.

  uint8_t next_proto
next header protocol

Definition at line 42 of file rte_ipsec_sa.h.

  const void* hdr
tunnel header template

Definition at line 43 of file rte_ipsec_sa.h.

  struct { ... } tun
tunnel mode related parameters

  uint8_t proto
next header protocol

Definition at line 46 of file rte_ipsec_sa.h.

  struct { ... } trs
transport mode related parameters

Author

Generated automatically by Doxygen for DPDK from the source code.